Subject: bug#21396: 25.0.50; read-key's prompt is not visible

From: Drew Adams <[email-masked]>
Date: Thu, 3 Sep 2015 11:27:18 -0700 (PDT)

> If typing yes<RET> is too much in some situations, and just y is
> enough, we should not call yes-or-no-p in those situations. AFAIU,
> the only reason to call the latter is when the question is about
> some serious matter, so we want to avoid the possibility of mistakenly
> pressing just one (wrong) key.  So if some of these situations aren't
> so grave, let's call y-or-n-p instead.

Agreed.  But that's a decision for Emacs, and it is a judgment
call to try to fit what is generally appropriate in that context.

That's different from what a given user might want.

So yes, Emacs should pick the right function to use.
And yes, users should be able to choose something else,
if they really want to.  (Personally, I stick with what
Emacs decides, here.)

> And if there are people who still want to press y or n, even when they
> might err and pay dearly for their mistakes, then we could have an
> option to have yes-or-no-p call y-or-n-p instead.

Yes.

> But using a defalias here is a kludge; asking Emacs maintenance to
> support such kludges means extra overhead and tricky code for no good
> reason.  I think we should simply say no to such requests.  We have
> more than enough work on our hands already, no need for gratuitous
> additions, thank you.

I agree that a user option is more appropriate than defaliasing.